diff --git a/anna.c b/anna.c
index e03d34a..3e4552f 100644
--- a/anna.c
+++ b/anna.c
@@ -57,11 +57,8 @@ int packages_ok (di_packages *packages) {
 		/* GNU Mach does not have modules */
 #else
 		debconf_input(debconf, "critical", "anna/no_kernel_modules");
-		if (debconf_go(debconf) == 30)
-			return 0;
-		debconf_get(debconf, "anna/no_kernel_modules");
-		if (strcmp(debconf->value, "false") == 0)
-			return 0;
+		debconf_go(debconf);
+		return 0;
 #endif
 	}
 
diff --git a/debian/anna.templates b/debian/anna.templates
index 66677ee..1c95573 100644
--- a/debian/anna.templates
+++ b/debian/anna.templates
@@ -63,17 +63,16 @@ _Description: Failed to load installer component
  Loading ${PACKAGE} failed for unknown reasons. Aborting.
 
 Template: anna/no_kernel_modules
-Type: boolean
-Default: false
+Type: error
 # :sl2:
-_Description: Continue the install without loading kernel modules?
+_Description: No kernel modules found
  No kernel modules were found. This probably is due to a mismatch between
  the kernel used by this version of the installer and the kernel version
  available in the archive.
  .
- If you're installing from a mirror, you can work around this problem by
- choosing to install a different version of Debian. The install will probably
- fail to work if you continue without kernel modules.
+ You should make sure that your installation image is current (check if you
+ are using an up-to-date netboot image), or - if that's the case - try a
+ different mirror, preferably deb.debian.org.
 
 Template: anna/retriever
 Type: string
diff --git a/debian/changelog b/debian/changelog
index 806f59e..b2671e2 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+anna (1.73) UNRELEASED; urgency=medium
+
+  * Change template, to give a senseful message to the user, when no kernel
+    modules can be found with netboot image. Also, turn that from a question
+    into an error message.
+
+ -- Holger Wansing <hwansing@mailbox.org>  Fri, 01 Nov 2019 22:52:30 +0100
+
 anna (1.72) unstable; urgency=medium
 
   * Team upload
